lp-solve (5.5.2.14-4) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Aug 2025 21:22:28 +0200

lp-solve (5.5.2.14-3) experimental; urgency=medium

  * debian/control: 
    move package to Debian Math Team <team+math@tracker.debian.org>;
    keep old Maintainer/Uploaders as Uploaders; add Vcs-* for new
    salsa repo
  * debian/watch: update for Github 

  * merge from Ubuntu:
    + d/p/10_ccc_cflags: Recognize cflags in custom 'ccc' build script
    + d/rules: export CFLAGS from dpkg-buildflags, to pick up the
              -fno-omit-frame-pointer flag (LP: #2084527)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 23:57:52 +0200

lp-solve (5.5.2.14-2) experimental; urgency=medium

  * add patch from Helmut Grohne to Fix FTCBFS: (Closes: #1078930)
    + Pass a host compiler to the compilation scripts.
    + Rewrite platform check as compile-only test.
    + Do not fail removal of temporary files that may be missing. 

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 20:53:25 +0200

lp-solve (5.5.2.14-1) experimental; urgency=medium

  * New upstream release 

  * debian/control: update Homepage:

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 20:44:04 +0200

lp-solve (5.5.2.11-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Aug 2024 21:40:47 +0200

lp-solve (5.5.2.11-1) experimental; urgency=medium

  * "New" upstream release (closes: #1008073)
    - does not hardode /tmp anymore in ccc (closes: #875335)

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 20:26:08 +0200

lp-solve (5.5.2.5-3) unstable; urgency=medium

  * debian/patches/10_int_main.diff: add int to main() echos in ccc to
    fix build with gcc 14 (closes: #1075236)
  * debian/warch: add, from #1008073

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 19:19:02 +0200

lp-solve (5.5.2.5-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Jul 2020 16:47:52 +0000

lp-solve (5.5.2.5-1) unstable; urgency=medium

  * New upstream version
  * d/control: Debian Standars is 4.5.0
  * lp_solve.1: add patches/09_lp_solve.1
    by James Cowgill <james410@cowgill.org.uk>
    Closes: #749555

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Fri, 10 Jul 2020 12:35:39 -0500

lp-solve (5.5.0.15-4) unstable; urgency=medium

  * debian/patches/08_isnan: Change 0 to 0. in isnan() call to fix FTBFS due
    to 0 not being a floating-point argument, thanks Logan Rosen
    (closes: #825041)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 May 2016 13:09:52 +0000

lp-solve (5.5.0.15-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 17 May 2016 18:40:38 +0200

lp-solve (5.5.0.15-2) experimental; urgency=medium

  * [eb5459b] look in -L../lpsolve55/bin/$PLATFORM for liblpsolve55.so..

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 15:51:48 +0200

lp-solve (5.5.0.15-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * [0b4ef4f] Imported Upstream version 5.5.0.15
  * [c5a2ce0] bump debian/compat to 9 (closes: #817570)
  * [30f3bfb] split build/install into -arch/-indep (closes: #822053)
  * [3869a4a] dh_installmanpages -> dh_installman
  * [641ec07] dh_clean -k -> dh_prep
  * [aacb9d1] update lp_rlp.c part in debian/copyright

  [ Nelson A. de Oliveira ]
  * [f8f768f] remove outdated (and unnecessary) homepage pseudo-field from
    long description (closes: #593459)

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 14:48:26 +0200

lp-solve (5.5.0.13-7) unstable; urgency=low

  * move to "3.0 (quilt)" format; move downloaded docs into extra docs
    tarball and move change from 5.5.0.10-6 from only in .diff.gz (oops!)
    to proper patch
  * include headers needed for plugin libraries (closes: #555830), thanks
    Matthias Kümmerer
  * add ${misc:Depends}
  * remove debian/watch (closes: #529154)

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Dec 2009 23:55:09 +0100

lp-solve (5.5.0.13-6) unstable; urgency=low

  * build against suitesparse 3.4.0 (libcolamd2.7.1)

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Jun 2009 22:59:02 +0200

lp-solve (5.5.0.13-5) unstable; urgency=low

  * make liblpsolve55-dev depend on libsuitesparse-dev (closes: #524295)

 -- Rene Engelhard <rene@debian.org>  Wed, 06 May 2009 11:22:45 +0200

lp-solve (5.5.0.13-4) unstable; urgency=low

  * rebuild with suitesparse 1:3.2.0-2 to only get a dep on libcolamd-3.2.0
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Feb 2009 22:53:00 +0100

lp-solve (5.5.0.13-3) experimental; urgency=low

  * build against suitesparse 3.2.0

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jan 2009 23:27:10 +0100

lp-solve (5.5.0.13-2) experimental; urgency=low

  * add Homepage: (closes: #509917)

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2008 14:21:47 +0100

lp-solve (5.5.0.13-1) experimental; urgency=low

  * New upstream release (closes: #507462)

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Dec 2008 19:57:10 +0100

lp-solve (5.5.0.10-10) unstable; urgency=low

  * build against libsuitesparse-3.1.0

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Feb 2008 07:05:14 +0100

lp-solve (5.5.0.10-9) unstable; urgency=low

  * build liblpsolve55.so with -fPIC instead of -fpic and
    revert last -fpic change

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Oct 2007 00:32:42 +0200

lp-solve (5.5.0.10-8) unstable; urgency=low

  * also specify -fpic when linking liblpsolve55.so
  * run ccc using -e

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Sep 2007 20:56:40 +0200

lp-solve (5.5.0.10-7) unstable; urgency=low

  * build wih -O2 on alpha to work around ICE

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Sep 2007 13:18:30 +0200

lp-solve (5.5.0.10-6) unstable; urgency=low

  * add patch from upstream to fix segmentation faults with xli_CPLEX
    (closes: #439232)

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Sep 2007 02:03:06 +0200

lp-solve (5.5.0.10-5) unstable; urgency=low

  * fix Recommends on liblpsolve55-dev to also point to suitesparse

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jul 2007 23:23:04 +0200

lp-solve (5.5.0.10-4) unstable; urgency=high

  * build against suitesparse
  * use debian/compat

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jul 2007 10:09:13 +0200

lp-solve (5.5.0.10-3) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Feb 2007 16:05:35 +0100

lp-solve (5.5.0.10-2) experimental; urgency=low

  * /usr/lib/lp-solve -> /usr/lib/lp_solve

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Feb 2007 20:06:50 +0100

lp-solve (5.5.0.10-1) experimental; urgency=low

  * New upstream release
  * add documentation from lpsolve.sourceforge.net/5.5
    (closes: #377333); remove images, though (diff...) and
    link them to the online version to prevent needing uu* them
  * install liblpsolve55.so into /usr/lib/lp_solve, because it might
    be needed by additional stuff
  * link lp_solve against liblpsolve55.so

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Jan 2007 12:50:07 +0100

lp-solve (5.5-4) unstable; urgency=high

  * stop shipping "demo" (closes: #3921401)

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Oct 2006 17:59:29 +0200

lp-solve (5.5-3) unstable; urgency=low

  * install demo
  * libufsparse[-dev] is now available on mips*, so build with system-colamd
    there, too
  * move libufsparse-dev Suggests to Recommends and fix typo in it

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Jul 2006 23:45:35 +0200

lp-solve (5.5-2) unstable; urgency=low

  * don't build with system-colamd on mips* since we don't have
    libufsparse[-dev] there...
  * move liblpsolve55-dev to libdevel instead of math

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jun 2006 10:15:05 +0200

lp-solve (5.5-1) unstable; urgency=low

  * add Anibal Monsalve Salazar and myself to Uploaders:
  * New upstream release (closes: #262512, #372754)
  * clean up debian/
  * build _pic version of the library; OOo will link us into a shared lib
  * split liblpsolve55*.a and includes out into an own package
  * debian/README.Debian: update
  * fix debian/copyright (closes: #290213)
  * build with system libcolamd; build-dep on libufsparse-dev
  * drop conflicts against pcx, not needed anymore
  * debian/NEWS: add, mention changes
  * Suggest libufsparse-dev from liblpsove55-dev

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Jun 2006 12:43:52 +0200

lp-solve (4.0-4) unstable; urgency=low

  * New maintainer.

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Sun, 10 Apr 2005 11:11:57 +1000

lp-solve (4.0-3) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Feb 2005 00:30:10 +1100

lp-solve (4.0-2) unstable; urgency=low

  * New maintainer.
  * New upstream location. (Closes: #234399)
    Updated debian/{copyright,control}

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Wed, 18 Aug 2004 13:00:42 +1000

lp-solve (4.0-1) unstable; urgency=low

  * New upstream release (closes:bug#175782)
  * debian/rules: install declare.h, resource.h, unfortify.h
    (closes:bug#175645) and HARTMUT_DOCUMENTATION (thanks to Thomas
    Schank)
  * lp_solve.1: add .TP so -time documentation isn't hidden.  Document
    allowed characters in a variable name (closes:bug#174405).

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 12 Jan 2003 19:16:56 -0500

lp-solve (3.99-4.0beta1-1) unstable; urgency=low

  * New upstream release (Closes:Bug#170395)
  * debian/rules: install new example files, install fortify.h,
    don't call suidregister
  * README.examples: run program with -S3 to print constraints
  * test-1: add -S3 flag
  * lp_solve.1: describe new options

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 25 Nov 2002 20:38:02 -0500

lp-solve (3.2-5) unstable; urgency=low

  * new maintainer email

 -- James R. Van Zandt <jrv@debian.org>  Sun,  9 Dec 2001 21:24:32 -0500

lp-solve (3.2-4) unstable; urgency=low

  * lpkit.h: delete extra "extern "C" {" in the middle which broke C++
    compilations (thanks to David Smith <dsmith@algonet.se> Closes:Bug#114600)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  7 Oct 2001 21:18:09 -0400

lp-solve (3.2-3) unstable; urgency=low

  * debian/control: comma separate build-deps (thanks to Rick Younie
    <younie@debian.org>)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 23 Apr 2001 22:05:40 -0400

lp-solve (3.2-2) unstable; urgency=low

  * debian/control: Build-Depends on flex and bison (closes:Bug#94145)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 21 Apr 2001 09:16:06 -0400

lp-solve (3.2-1) unstable; urgency=low

  * New upstream release
  * honor DEB_BUILD_OPTIONS
  * debian/control: move Build-Depends line to source section.  Policy
    version 3.5.2.
  * debian/rules, debian/test-1: support debian-test
  * debian/copyright: remove mention of old license directory

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 31 Mar 2001 12:03:35 -0500

lp-solve (3.0-4) unstable; urgency=low

  * build-depends on debhelper

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  3 Sep 2000 11:50:14 -0400

lp-solve (3.0-3) unstable; urgency=low

  * insert "#ifdef __cplusplus" et al. in headers to allow calls from c++
    (as suggested by mxu <mxu@dolphin.ece.wisc.edu>, closes:bug#63854)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 19 Jun 2000 17:50:09 -0400

lp-solve (3.0-2) unstable; urgency=low

  * create temporary symlink lpkit->. so building is done with header
    files (e.g. lpkit.h and hash.h) from the build directory. (fix
    courtesy of Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>,
    closes:bug#50432)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 20 Nov 1999 10:19:33 -0500

lp-solve (3.0-1) unstable; urgency=low

  * Initial Release.
  * demo.c: header file is lpkit/lpkit.h instead of just lpkit.h.  Data
    file comes from the current directory, not the "lp_examples"
    subdirectory.
  * lp2mps.1: New man page.
  * mps2lp.1: New man page.
  * lp_solve.1: Use italics and bold face where appropriate.
  * lpkit.h: ask user to link against "liblpk.a", not "lplps.a".

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 24 Oct 1999 08:53:51 -0400

Local variables:
mode: debian-changelog
End:
